import { AsyncValidatorFn, ValidatorFn } from '@angular/forms';
export declare type AnnotationFunction = (target: object, key: string) => void;
export interface FormMetadata {
    annotated: boolean;
    disabled?: boolean;
    syncValidators?: ValidatorFn[];
    asyncValidators?: AsyncValidatorFn[];
    nestedArray?: boolean;
    nested?: boolean;
}
export declare const setName: (name: string) => string;
export declare const getName: (name: string) => string;
export declare const setSyncValidator: (target: any, key: string, validator: ValidatorFn) => void;
export declare const setAsyncValidator: (target: any, key: string, validator: AsyncValidatorFn) => void;
export declare const checkAnnotationConflicts: (metadata: FormMetadata, annotation: string) => void;
